<?php

/**
 * @file
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->wrapper_prefix: A complete wrapper containing the inline_html to use.
 *   - $field->wrapper_suffix: The closing tag for the wrapper.
 *   - $field->separator: an optional separator that may appear before a field.
 *   - $field->label: The wrap label text to use.
 *   - $field->label_html: The full HTML of the label to use including
 *     configured element type.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
 
	if ($fields['field_hero_image']->content) 
    {
		$img_html = $fields['field_hero_image']->content;

		$loc1 = strpos($img_html, 'src="')+5;
		$loc2 = strpos($img_html, '"', $loc1);
		$img_src = substr($img_html, $loc1, $loc2-$loc1);
		$img_src = str_replace('http:', '', $img_src);
		$img_src = str_replace('https:', '', $img_src);

        $loc1 = strpos($img_html, 'alt="')+5;
        $loc2 = strpos($img_html, '"', $loc1);
        $img_alt = substr($img_html, $loc1, $loc2-$loc1);

        $loc1 = strpos($img_html, 'title="')+7;
        $loc2 = strpos($img_html, '"', $loc1);
        $img_title = substr($img_html, $loc1, $loc2-$loc1);
	}
	
?>
<div class="item" style="background-image: url(<?php if ($fields['field_hero_image']->content) { print $img_src; } ?>);">
    <div class="sr-only"><?php if ($fields['field_hero_image']->content) { print $img_alt; } ?></div>

<div class="bg-left-fade"></div>

<div class="container-fluid height-100">
<div class="row height-100">

    <div class="col-sm-10 col-sm-offset-1 col-lg-12 col-lg-offset-0 height-100 middle-parent mobile-middle-parent">
        <div class="text-left middle mobile-middle text-white text-shadow">

            <h1><a href="<?php print $fields['field_link']->content; ?>"><?php print $fields['field_html_title']->content; ?></a></h1>

            <?php /*
            <h1><?php print $fields['field_html_title']->content; ?></h1>
            <p class="lead"><?php print $fields['field_second_line']->content; ?></p>
            <p><a href="<?php print $fields['field_link']->content; ?>" class="btn btn-primary btn-lg"><i class="glyphicon glyphicon-play-circle" aria-hidden="true"></i> Learn More</a></p>
        	*/ ?>
        
        </div>
    </div>

</div>
</div>

</div>
